cURL
curl --request GET \
--url http://studio.premai.io/api/v1/public/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://studio.premai.io/api/v1/public/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://studio.premai.io/api/v1/public/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "project",
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "dataset",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"datapoints_count": 123
},
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "snapshot",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_count": 123,
"validation_count": 123,
"created_at": "<string>"
},
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "finetuning-job",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasoning": true
},
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "experiment",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experiment_number": 123,
"base_model_id": "<string>",
"model_id": "<string>"
}
}
]
}
]
}
]
}
]
}
}{
"error": "<string>"
}Projects API
Get Project Tree
Expand a project into its datasets, snapshots, fine-tuning jobs, and experiments.
GET
/
api
/
v1
/
public
/
projects
/
{projectId}
cURL
curl --request GET \
--url http://studio.premai.io/api/v1/public/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://studio.premai.io/api/v1/public/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://studio.premai.io/api/v1/public/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "project",
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "dataset",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"datapoints_count": 123
},
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "snapshot",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_count": 123,
"validation_count": 123,
"created_at": "<string>"
},
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "finetuning-job",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasoning": true
},
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"type": "experiment",
"metadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experiment_number": 123,
"base_model_id": "<string>",
"model_id": "<string>"
}
}
]
}
]
}
]
}
]
}
}{
"error": "<string>"
}Was this page helpful?
⌘I